> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# はじめに

> Firecrawl API リファレンス（v2）

<Note>
  **AI エージェント向け:** すべてのドキュメントの完全な索引については、[llms.txt](/ja/llms.txt) を参照してください。
</Note>

Firecrawl API を使用すると、プログラムから Web データにアクセスできます。すべてのエンドポイントは、本ページで説明する共通のベース URL、認証方式、レスポンス形式を使用します。

<div id="features">
  ## 機能
</div>

<CardGroup cols={3}>
  <Card title="Scrape" icon="markdown" href="/ja/api-reference/endpoint/scrape" color="FF713C">
    任意のウェブページから、markdown または json のフォーマットでコンテンツを抽出します。
  </Card>

  <Card title="Parse" icon="markdown" href="/ja/api-reference/endpoint/parse" color="FF713C">
    ファイルをアップロードし、markdown またはその他のフォーマットに変換します。
  </Card>

  <Card title="Crawl" icon="spider" href="/ja/api-reference/endpoint/crawl-post" color="FF713C">
    ウェブサイト全体をクロールし、すべてのページのコンテンツを取得します。
  </Card>

  <Card title="Map" icon="map" href="/ja/api-reference/endpoint/map" color="FF713C">
    任意のウェブサイトから URL の一覧を迅速かつ高い信頼性で取得します。
  </Card>

  <Card title="Search" icon="magnifying-glass" href="/ja/api-reference/endpoint/search" color="FF713C">
    ウェブを検索し、任意のフォーマットでページ全体のコンテンツを取得します。
  </Card>
</CardGroup>

<div id="agentic-features">
  ## エージェント機能
</div>

<CardGroup cols={3}>
  <Card title="Agent" icon="robot" href="/ja/api-reference/endpoint/agent" color="FF713C">
    AI による自律的な Web データ収集。
  </Card>

  <Card title="Browser" icon="browser" href="/ja/api-reference/endpoint/browser-create" color="FF713C">
    インタラクティブな Web タスク向けにブラウザセッションを作成・制御します。
  </Card>
</CardGroup>

<div id="base-url">
  ## ベースURL
</div>

すべてのリクエストは次のベースURLを使用します：

```bash theme={null}
https://api.firecrawl.dev
```

<div id="authentication">
  ## 認証
</div>

すべてのリクエストには、API キーを含む `Authorization` ヘッダーが必要です：

```bash theme={null}
Authorization: Bearer fc-YOUR-API-KEY
```

すべての API 呼び出しにこのヘッダーを含めてください。API キーは [Firecrawl ダッシュボード](https://www.firecrawl.dev/app/api-keys) で確認できます。

API キーを持たないエージェントの場合は、まず [認証情報を取得](/ja/ai-onboarding#get-credentials) を参照してください。お使いのプラットフォームが WorkOS ID-JAG をサポートしている場合は、登録手順について [`auth.md`](https://www.firecrawl.dev/auth.md) を参照してください。

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://api.firecrawl.dev/v2/scrape" \
    -H "Authorization: Bearer fc-YOUR-API-KEY" \
    -H "Content-Type: application/json" \
    -d '{"url": "https://example.com"}'
  ```

  ```python Python theme={null}
  from firecrawl import Firecrawl

  firecrawl = Firecrawl(api_key="fc-YOUR-API-KEY")

  result = firecrawl.scrape("https://example.com")
  ```

  ```js Node theme={null}
  import { Firecrawl } from 'firecrawl';

  const firecrawl = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });

  const result = await firecrawl.scrape('https://example.com');
  ```
</CodeGroup>

<div id="response-codes">
  ## レスポンスコード
</div>

Firecrawl は、リクエストの結果を示すために標準的な HTTP ステータスコードを使用します。`2xx` 番台のコードは成功、`4xx` 番台のコードはクライアントエラー、`5xx` 番台のコードはサーバーエラーを示します。

各障害モードで返される `error` 文字列、再試行のガイダンス、コピー＆ペーストして使える backoff スニペットを含む完全なリファレンスについては、[Errors](/ja/api-reference/errors) を参照してください。

<div id="429-responses">
  ## 429 レスポンス
</div>

プランのレート制限または同時実行数の上限を超えると、API は `429` ステータスコードを返します。プランごとの上限については [Rate Limits](/ja/rate-limits) を、再試行のガイダンスについては [Errors](/ja/api-reference/errors) を参照してください。
